76

Re: Support for development of packages and applications in Hyperbola 0.4

If people have interest, these packages need some attention for now:

blender
libreoffice
0ad
virt-manager (aqemu has proven to be NOT compatible and being fully dysfunctional without dbus)
wine-stable
radicale (also services to include for HyperRC and runit)
wicd
php (also services to include for HyperRC and runit)
gajim
prosody (also services to include for HyperRC and runit)
syncthing (also services to include for HyperRC and runit)
syncthing-gtk
mumble

New coming with some next commit is also hplip, today sane as service for scanners. Again: We all are doing the best we can as fast we can. Often it is not so easy getting around Linux-frameworks, finding alternatives or writing and reconstruct missing parts. So Hyperbola is a system-base and distribution from the community for the community and it would be much getting help! smile

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

77

Re: Support for development of packages and applications in Hyperbola 0.4

The application sk1 won't be possible to integrate for now as there is no further stable released package available and the person Ihor Novikov died earlier this year due to COVID-19. And I think it is only fair to let all interested persons read this as it stands right on the website of the project. sad

Thanks for all you've done Ihor Novikov. All the best for family, friends and all beloved beings!
https://sk1project.net/

When there is time I'll get in contact with remaining team-members, if it is possible to get the stable versions for packaging.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

78

Re: Support for development of packages and applications in Hyperbola 0.4

throgh wrote:

If people have interest, these packages need some attention for now:

blender
libreoffice
0ad
virt-manager (aqemu has proven to be NOT compatible and being fully dysfunctional without dbus)
wine-stable
radicale (also services to include for HyperRC and runit)
wicd
php (also services to include for HyperRC and runit)
gajim
prosody (also services to include for HyperRC and runit)
syncthing (also services to include for HyperRC and runit)
syncthing-gtk
mumble

New coming with some next commit is also hplip, today sane as service for scanners. Again: We all are doing the best we can as fast we can. Often it is not so easy getting around Linux-frameworks, finding alternatives or writing and reconstruct missing parts. So Hyperbola is a system-base and distribution from the community for the community and it would be much getting help! smile

I was going to say, virt-manager would probably be just as good as aqemu at its functioning, but upon looking at their github sources, it appears it very well may work after all:

https://github.com/virt-manager/virt-ma … INSTALL.md

Due to the depends not being completely insane, requiring redhatware stuff.

I will try to install from souce if you would like.

Thanks for keeping us updated!

I say us, as in people in general... wink

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!

79

Re: Support for development of packages and applications in Hyperbola 0.4

Thanks, just the compile-options would be for sure a very big help. smile
That being said: We also need libvirt as included daemon, otherwise for sure nothing is found. Will do as fast as possible, but for now being onto wine-stable.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

80

Re: Support for development of packages and applications in Hyperbola 0.4

New list incoming, as wicd had to be removed being fully depending on dbus:

blender
libreoffice
0ad
virt-manager (aqemu stays in as alternative as long not all possibilities tested)
wine-stable
radicale (also services to include for HyperRC and runit)
php (also services to include for HyperRC and runit)
gajim
prosody (also services to include for HyperRC and runit)
syncthing (also services to include for HyperRC and runit)
syncthing-gtk
mumble

And I'm not ashamed to admit mistakes: Too early to say as libvirt is missing until now. So dbus alone is too easy for me to say about aqemu. It stays as long as we have not the final approval. smile

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

81

Re: Support for development of packages and applications in Hyperbola 0.4

Short note about syncthing: As this tool is relying only onto go 1.16 and the newer version is telling that here syncthing and corresponding syncthing-gtk won't be part for Hyperbola any longer. So we are going to look onto Unison: https://www.cis.upenn.edu/~bcpierce/unison/

Both entries are going to be removed from the TODO-List, at least the following packages are not finished right now:

blender
libreoffice
0ad
virt-manager (aqemu stays in as alternative as long not all possibilities tested)
wine-stable
radicale (also services to include for HyperRC and runit)
php (also services to include for HyperRC and runit)
gajim
prosody (also services to include for HyperRC and runit)
mumble

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

82

Re: Support for development of packages and applications in Hyperbola 0.4

Updated the packages, on the TODO-list:

blender
libreoffice
0ad
virt-manager (aqemu stays in as alternative as long not all possibilities tested)
radicale (also services to include for HyperRC and runit)
php (also services to include for HyperRC and runit)
gajim
prosody (also services to include for HyperRC and runit)

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

83

Re: Support for development of packages and applications in Hyperbola 0.4

Another package to be removed without being integrated: gajim won't be part for Hyperbola any longer as the application is hard depending onto python-keyring and so also onto dbus. There is no way around that and the support would be removed only for one version without knowledge of changing or possibilities for the future. So gajim will be removed and instead pidgin is given a further tryout as the project supports being compiled and used without dbus and further Linux-frameworks.

Nevertheless the following dependencies will be for sure added: farstream and python-distro, coming from gajim as work. A bit frustrating having hours of work and after the installation the application is not working just because of bloatware missing, but that's the decision of the developers and maintainers of the project. So see you, gajim, better try next time. wink

Just to add also: I was the person adding gajim once to the wishlist. But to see the variant from the runtime is another thing compared seeing that from the compiling when dependencies are missing. Removing dbus is one thing and gajim runs there for sure. But the application is using such bloated things like gnome-keyring and kwallet for storing passphrases. Well? Going for good to see and document that here.

So the corresponding list:

blender
libreoffice
0ad
virt-manager (aqemu stays in as alternative as long not all possibilities tested)
radicale (also services to include for HyperRC and runit)
php (also services to include for HyperRC and runit)
prosody (also services to include for HyperRC and runit)

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

84

Re: Support for development of packages and applications in Hyperbola 0.4

Currently in development from my side:

php
radicale
prosody
pidgin (with OMEMO-support to be also added)

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

85

Re: Support for development of packages and applications in Hyperbola 0.4

The following packages left on the TODO-list for now:

blender
libreoffice
0ad
virt-manager (aqemu stays in as alternative as long not all possibilities tested)

NOTE: There would be also libvirt needed at some point for service-provider in regards to qemu.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

86

Re: Support for development of packages and applications in Hyperbola 0.4

Just to mention: With libretools (https://www.hyperbola.info/packages/?so … p;flagged=) Hyperbola GNU/Linux-libre 0.4 is so far feature-complete for building and testing. So everyone is invited here with building packages: You can do that in a clean environment. To add: No we are not ready yet with all packages and help is needed.

Just to look at the TODO-list: https://git.hyperbola.info:50100/~team/ … ackages.md

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

87

Re: Support for development of packages and applications in Hyperbola 0.4

We have another problem:

I use command:  fair-viewer
this is the error: Cannot do `initialize' in Term::ReadLine::Gnu at /usr/bin/fair-viewer line 73.

As for the gtk version of fair viewer, I get this:

when I type in this: usr/bin/vendor_perl/gtk-fair-viewer

This is the error: Can't load '/usr/lib/perl5/auto/Glib/Object/Introspection/Introspection.so' for module Glib::Object::Introspection: /usr/lib/perl5/auto/Glib/Object/Introspection/Introspection.so: wrong ELF class: ELFCLASS32 at /usr/share/perl5/XSLoader.pm line 93.
at /usr/share/perl5/Gtk3.pm line 48.
Compilation failed in require at /usr/share/perl5/Gtk3.pm line 48.
BEGIN failed--compilation aborted at /usr/share/perl5/Gtk3.pm line 48.
Compilation failed in require at /usr/bin/vendor_perl/gtk-fair-viewer line 38.
BEGIN failed--compilation aborted at /usr/bin/vendor_perl/gtk-fair-viewer line 38.

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!

88

Re: Support for development of packages and applications in Hyperbola 0.4

Will create an issue for that and list it as this package is as everything essential. Thanks for reporting!

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

89

Re: Support for development of packages and applications in Hyperbola 0.4

throgh wrote:

Will create an issue for that and list it as this package is as everything essential. Thanks for reporting!

No worries, it is very much needed!

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!

90

Re: Support for development of packages and applications in Hyperbola 0.4

Yes, and therefore fair-viewer in combination with hypervideo is a key-element for removing the restrictions onwards the multimedia-content online. In combination with browsers like otter-browser, iceweasel-uxp and iceape-uxp there should be enough done for now. Besides that's only a blink until YouTube and others change again the API-calls, having content again behind walls. But well? That's a price and it is okay.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

91

Re: Support for development of packages and applications in Hyperbola 0.4

throgh wrote:

Yes, and therefore fair-viewer in combination with hypervideo is a key-element for removing the restrictions onwards the multimedia-content online. In combination with browsers like otter-browser, iceweasel-uxp and iceape-uxp there should be enough done for now. Besides that's only a blink until YouTube and others change again the API-calls, having content again behind walls. But well? That's a price and it is okay.

Yeah, for some it certainly is...

wink

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!

92

Re: Support for development of packages and applications in Hyperbola 0.4

I have a quick question, which one prefers to stay the version of LibreOffice: 7.1.6(.2) or 7.2.1(.2)?

93

Re: Support for development of packages and applications in Hyperbola 0.4

At best the version being used by Debian Bullseye by now, so far 7.0.4:

https://packages.debian.org/bullseye/libreoffice

Arch Linux is using 7.1.6 for libreoffice-still. But we are oriented on Debian! smile

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

94 (edited by HarvettFox96 2021-09-30 11:24:28)

Re: Support for development of packages and applications in Hyperbola 0.4

Okay now, we've all source files except dictionaries in version 7.0.4(.2) you chose. A main one we extracted, here's an output file from autogen.sh with --help parameter for the building process of LibreOffice.

If you're looking for some dependencies on the package build script file, they're not in repo.

95

Re: Support for development of packages and applications in Hyperbola 0.4

I have not said that we have all dependencies already done or have them available in the repositories: The application includes all that to be done, so every package done and working brings us a little bit more near the final working compilation for the missing ones. smile

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

96

Re: Support for development of packages and applications in Hyperbola 0.4

Sometimes I checked there on git repo where has no new commits. By the way, did you modify your own package build script file by getting unwanted files and dependencies, such as D-Bus and Java, removed?

97

Re: Support for development of packages and applications in Hyperbola 0.4

For now not that far: At minimum there is first the need to complete the bare dependencies for both, blender and libreoffice. As alternative: aqemu needs also fixes for being worked out completely for now. So there are many fields for further on-going research. By now I think both - dbus and java - are just optional for libreoffice so at least having them out from the system and for sure the PKGBUILDs results in a clean compilation afterwards. But that needs also further and some more tests within librechroot when all is ready.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

98

Re: Support for development of packages and applications in Hyperbola 0.4

Emulatorman told me, that one of his computers on 0.4 has issues with xenocara.

Apparently, it has ATI amd graphics card.

I did however notice you guys added a new package to white hole, is this fixed yet?

Also, I begin to wonder if that was the problem Sagara had. 

I don't know if I am pronouncing the person's name right, but yeah.

Thoughts?

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!

99

Re: Support for development of packages and applications in Hyperbola 0.4

zapper wrote:

Also, I begin to wonder if that was the problem Sagara had. 

I don't know if I am pronouncing the person's name right, but yeah.

Thoughts?

Precisely, it's Sagar (सागर in Devanagari). Sagara isn't wrong exactly, it's alright. Are you available on tox, zapper?

Today, the forces which make the rich richer and poor poorer have their roots in computer security. Never has it been more important to work towards abolishing the power of the powerful.

Let's use hyperbola or other libre OSes and strive towards stateless hardware (Rutkowska 2015). Let's use PinePhone and shun Android and iPhone which pretend to be secure.

100

Re: Support for development of packages and applications in Hyperbola 0.4

sagaracharya wrote:
zapper wrote:

Also, I begin to wonder if that was the problem Sagara had. 

I don't know if I am pronouncing the person's name right, but yeah.

Thoughts?

Precisely, it's Sagar (सागर in Devanagari). Sagara isn't wrong exactly, it's alright. Are you available on tox, zapper?

I am indeed, I will add you if you want.  I will tell you, I am zapper when I add you. wink

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!